import sys
from PyQt5.QtWidgets import QWidget, QApplication
from PyQt5.QtGui import QPainter, QColor, QBrush

class Example(QWidget):
    def __init__(self):
        # super() - запуск конструктора-родителя
        super().__init__()
        self.initUI()
    # Главный метод
    def initUI(self):
        self.setGeometry(300, 300, 350, 100)
        self.setWindowTitle('Прямоугольники')
        self.show()

    def paintEvent(self, e):
        qp = QPainter()
        qp.begin(self)
        self.drawRectangles(qp) # Рисование фигур
        qp.end()

    def drawRectangles(self, qp):
        col = QColor(0, 0, 0)
        col.setNamedColor('#d4d4d4')
        qp.setPen(col) # Установка карандаша

        qp.setBrush(QColor(200, 0, 0)) # Установка кисти
        qp.drawRect(10, 15, 90, 60) # Рисование прямоугольника

        qp.setBrush(QColor(255, 80, 0, 160))
        qp.drawRect(130, 15, 90, 60)

        qp.setBrush(QColor(25, 0, 90, 200))
        qp.drawRect(250, 15, 90, 60)


app = QApplication(sys.argv)
ex = Example()
sys.exit(app.exec_())
